API
Telegram API
The AI-powered Telegram provides 360° Global Media Data & Intelligence on Telegram channel operators, community managers, news distributors, and messaging platform teams.
مرجع API الإصدار: 1.0.0 2 نقاط النهاية المصادقة
عنوان URL الأساسي
https://pressmonitor.com/api المصادقة
تتطلب جميع الطلبات رؤوس x-api-key و x-subscription-id. يوثّق x-api-key حسابك؛ ويحدّد x-subscription-id الخدمة المشتركة.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/telegram_channel Telegram Chaîne
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| channel | string | query | نعم | Channel name |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/telegram_channel?channel=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/telegram_messages Telegram Messages
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| channel | string | query | نعم | Channel name |
| limit | integer | query | لا | Number of results |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/telegram_messages?channel=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
